<template>
  <div>
    <sidebar-menu @toggle-collapse="onToggleCollapse" @item-click="onItemClick" :menu="menu" width="250px" widthCollapsed="80px" :collapsed="true">
      <span slot="header"> <img :src="$store.state.custom.logo"> </span>
      <span slot="toggle-icon"> <font-awesome-icon :icon="'chevron-' + iconSide"/> </span>
    </sidebar-menu>
  </div>
</template>

<script>
import custom from '@/shared/custom'
export default {
  data () {
    return {
      iconSide: 'right',
      menu: [
        {
          href: '/',
          title: this.$t('search'),
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'search'
            }
          }
        },
        {
          href: '/insert',
          title: this.$t('insert'),
          hidden: this.$store.state.roles.indexOf('INSERT_DATA') === -1,
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'file-upload'
            }
          }
        },
        {
          href: '/export',
          title: this.$t('export'),
          hidden: this.$store.state.roles.indexOf('EXPORT_DATA') === -1,
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'file-download'
            }
          }
        },
        {
          href: '/credentials',
          title: this.$t('credentials'),
          hidden: this.$store.state.roles.indexOf('ADMIN') === -1,
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'eye'
            }
          }
        },
        {
          href: '/user',
          title: this.$t('manage-user'),
          hidden: this.$store.state.roles.indexOf('ADMIN') === -1,
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'user'
            }
          }
        },
        {
          href: '/filter',
          title: this.$t('manage-filter'),
          hidden: this.$store.state.roles.indexOf('ADMIN') === -1,
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'filter'
            }
          }
        },
        {
          href: '/login',
          title: this.$t('admin'),
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'sign-in-alt'
            }
          }
        },
        {
          href: '/custom',
          title: this.$t('custom'),
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'paint-brush'
            }
          }
        },
        {
          href: 'https://codelabs-preview.appspot.com/?file_id=1McUaeMoWLO3r9NCtAE0BK47gXmIv6GnCuUYSn4F3YdE#0',
          external: true,
          title: this.$t('doc'),
          icon: {
            element: 'font-awesome-icon',
            attributes: {
              icon: 'question-circle'
            }
          }
        }
      ]
    }
  },
  methods: {
    onToggleCollapse (collapsed) {
      if (collapsed) {
        this.iconSide = 'right'
      } else {
        this.iconSide = 'left'
      }
    },
    onItemClick (event, item, node) {
      custom.getGoodItemAndColorIt(item.href)
    }
  }
}
</script>

<style>
.v-sidebar-menu .vsm--mobile-bg {
  background-color: #2a2a2e !important;
  border-radius: 15px;
}
.v-sidebar-menu .vsm--icon {
  background-color: #2a2a2e !important;
  padding: 3px;
}
.v-sidebar-menu .vsm--item {
  margin-left: 15px;
}
.v-sidebar-menu .vsm--link {
  margin-right: 30px;
  border-radius: 15px;
}
img {
  border-radius: 10px;
  max-width: 80px;
  display: block;
  margin: 0 auto 10px auto;
}
</style>
